Public Member Functions | Public Attributes | List of all members
clan::XPathException Class Reference

`#include <xpath_exception.h>`

Inheritance diagram for clan::XPathException:

## Public Member Functions
| XPathException (const std::string &message)
| XPathException (const std::string &message, const std::string &expression)
| XPathException (const std::string &message, const std::string &expression, const XPathToken &cur_token)
| ~XPathException () throw ()
std::string | get_message () const
Public Member Functions inherited from clan::Exception
| Exception (const std::string &message)
| Constructs an exception object. More...
virtual | ~Exception () throw ()
| Destructs an exception object. More...
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created. More...
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines. More...
virtual const char * | what () const override throw ()
| Returns description of exception. More...

## Public Attributes
std::string::size_type | error_position
std::string | expression
Public Attributes inherited from clan::Exception
std::string | message
| Description of exception. More...

## Constructor & Destructor Documentation

clan::XPathException::XPathException | ( | const std::string & | message | ) |
| inline

clan::XPathException::XPathException | ( | const std::string & | message,
|  | const std::string & | expression
| ) |  |

clan::XPathException::XPathException | ( | const std::string & | message,
|  | const std::string & | expression,
|  | const XPathToken & | cur_token
| ) |  |

clan::XPathException::~XPathException | ( |  | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

std::string clan::XPathException::get_message | ( |  | ) | const

## Member Data Documentation

std::string::size_type clan::XPathException::error_position

std::string clan::XPathException::expression

The documentation for this class was generated from the following file:

- xpath_exception.h